Bug 110233 - Content-Length denotes the length of uncompressed content though compression is used
Content-Length denotes the length of uncompressed content though compression ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tux (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ingo Molnar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-17 08:22 EST by Ville Lindfors
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 15:54:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against tux patch itself (680 bytes, patch)
2004-05-14 12:07 EDT, Ville Lindfors
no flags Details | Diff

  None (edit)
Description Ville Lindfors 2003-11-17 08:22:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:


Version-Release number of selected component (if applicable):
tux-2.2.4-1, kernel-2.4.9-e.25

How reproducible:
Always

Steps to Reproduce:
1. Add content
2. gzip the content
3. request content $ curl -I http://host/file.html
4. request with accept encoding curl -I -H "Accept-Encoding: gzip"
http://host/file.html
    

Actual Results:  * Without accept encoding *

$ curl -I http://host/file.html
HTTP/1.1 200 OK
Content-Type: text/html
Connection: Keep-Alive
Date: Mon, 17 Nov 2003 12:58:04 GMT
Server: TUX/2.0 (Linux)
Content-Length: 5214
ETag: "5214-dpkjacpd"
Accept-Ranges: bytes
Last-Modified: Wed, 05 Nov 2003 14:02:27 GMT

* With accept encoding *

$ curl -I -H "Accept-Encoding: gzip" http://host/file.html
HTTP/1.1 200 OK
Content-Type: text/html
Connection: Keep-Alive
Date: Mon, 17 Nov 2003 12:58:09 GMT
Content-Encoding: gzip
Server: TUX/2.0 (Linux)
Content-Length: 5214
ETag: "5214-dpkjacpd"
Accept-Ranges: bytes
Last-Modified: Wed, 05 Nov 2003 14:02:27 GMT

Gzipped content is server and content length is less than 5214 bytes,
but the header says that content length is 5214 bytes


Expected Results:  Content-length must indicate the length of
compressed data

Additional info:
Comment 1 Ville Lindfors 2004-05-14 12:07:38 EDT
Created attachment 100227 [details]
patch against tux patch itself

Fixes Content-Length problem for gzipped content
Comment 2 Ville Lindfors 2004-05-16 15:49:39 EDT
Patch is actually against latest tux patch found in RHEL 3.0 kernel
rpm. If needed I can also sen patch against latest 2.1 kernel, but it
should be quite straight forward thing to do.
Comment 4 Ingo Molnar 2004-08-21 03:03:47 EDT
ok, patch queued up for inclusion into RHEL3.
Comment 5 Ernie Petrides 2004-09-11 01:17:14 EDT
A fix for this problem has just been committed to the RHEL3 U4
patch pool this evening (in kernel version 2.4.21-20.5.EL).
Comment 6 John Flanagan 2004-12-20 15:54:48 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-550.html

Note You need to log in before you can comment on or make changes to this bug.